<mat-nav-list>

    <mat-accordion mat-list-item class="margin-list-item">

        <div class="margin-snav-item" *ngFor="let item of menuItems">
            <a mat-list-item [routerLink]="item.url" [routerLinkActiveOptions]="{exact: true}"
                *ngIf="item.type === 'module'" [routerLinkActive]="['modulo-activo']"
                class="margin-list-item sidenav-item">
                <mat-icon class="menu-item-icon material-icons-two-tone">{{item.icon}}</mat-icon>
                <span>{{item.title}}</span>
            </a>

            <mat-expansion-panel *ngIf="item.type === 'collapse'">
                <mat-expansion-panel-header>
                    <a mat-list-item class="margin-list-item sidenav-item">
                        <mat-icon class="menu-item-icon material-icons-two-tone">{{item.icon}}</mat-icon>
                        <span>{{item.title}}</span>
                    </a>
                </mat-expansion-panel-header>
                <a *ngFor="let child of item.children" mat-list-item [routerLink]="child.url"
                    class="margin-list-item sidenav-item"
                    [routerLinkActive]="['mat-icon', 'mat-primary', 'modulo-activo']">
                    <mat-icon class="menu-item-icon material-icons-two-tone">{{child.icon}}</mat-icon>
                    <span>{{child.title}}</span>
                </a>
            </mat-expansion-panel>
        </div>

    </mat-accordion>

</mat-nav-list>


<mat-nav-list class="options-sidenav-mod">
    <mat-accordion mat-list-item class="margin-list-item">
        <mat-divider></mat-divider>
        <a mat-list-item routerLink="administracion/configuracion" [routerLinkActive]="['modulo-activo']"
            class="margin-list-item sidenav-item">
            <mat-icon class="menu-item-icon material-icons-two-tone">settings</mat-icon>
            <span>Configuración</span>
        </a>

        <a mat-list-item routerLink="administracion/ayuda" [routerLinkActive]="['modulo-activo']"
            class="margin-list-item sidenav-item">
            <mat-icon class="menu-item-icon material-icons-two-tone">help</mat-icon>
            <span>Ayuda</span>
        </a>
    </mat-accordion>
</mat-nav-list>